Bitácora de EleKtR0

English - Italiano - Deutsch - Français - Português - русский

13 de agosto de 2013

DNIe en Opensuse 12.3

Con cada nueva versión del driver para el DNIe que publican hay alguna sorpresa para que pierdas una mañana investigando las razones de que no funcione el DNI electrónico. Lo último ha sido instalar el paquete OpenSuSE_opensc-dnie-2.0.0-2.x86_64.rpm en OpenSuse 12.3 y que no funcione.

Mirando las instrucciones para instalar el DNIe en OpenSuse 12.3 que da este blog me he dado cuenta de que Firefox tiene configurado un administrador de dispositivo que no corresponde así que si has instalado todos los rpms necesarios y sigue sin funcionar comprueba que en
Preferencias -> Avanzado -> Cifrado -> Dispositivos de seguridad -> DNIE -> Ruta
aparezca /usr/lib64/dnieopensc-pkcs11.so y no la librería que configura por defecto el rpm del DNIe, que es /usr/lib64/opensc-pkcs11.so
Si aparece la librería opensc-pkcs11.so, bastaría darle a descargar el módulo DNIE y cargar el correcto que es dnieopensc-pkcs11.so

/usr/lib64/dnieopensc-pkcs11.so para la versión de 64 bits y /usr/lib/dnieopensc-pkcs11.so para 32 bits.

Etiquetas: ,

0 comentarios:

Publicar un comentario

Suscribirse a Enviar comentarios [Atom]



<< Página principal